#include <iostream>
using namespace std;
int main(){
	
int t;
int n,m,k,np;
cin>>t;
bool r[t];
for(int i=0;i<t;i++){
	cin>>n>>m>>k;
	np=n/k;
	if(m/k>=(np*(np+1))/2)r[i]=true;
	else r[i]=false;
}	
for(int i=0;i<t;i++){
if(r[i]==true)cout<<"Tak"<<endl;
else cout<<"Nie"<<endl;
}

	
	
	
	
}